Bug 27999 - Display the description of authorized values category
Summary: Display the description of authorized values category
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 21803
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-19 12:00 UTC by Séverine Queune
Modified: 2021-04-24 16:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 27999: Display the description of authorized values category (1.52 KB, patch)
2021-03-19 13:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27999: Display the description of authorized values category (1.66 KB, patch)
2021-03-19 13:21 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27999: Display the description of authorized values category (1.72 KB, patch)
2021-03-27 17:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2021-03-19 12:00:58 UTC
On cgi-bin/koha/admin/authorised_values.pl where we can add new values, it could be great to display the description for this category.
It's espacially useful when we use the dropdown menu to change of category, so we can't see this information only displayed on the table.
Comment 1 Owen Leonard 2021-03-19 12:59:39 UTC
This is a bug, because this feature should have been added by Bug 21803 but it never worked.
Comment 2 Owen Leonard 2021-03-19 13:04:56 UTC
Created attachment 118537 [details] [review]
Bug 27999: Display the description of authorized values category

This patch corrects a parameter in the authorized values template so
that the right value is passed for displaying the description of an
authorized value category.

To test, apply the patch and go to Administration -> Authorized values.

- In the table of authorized values, click on one which has a
  description in the "Description" column.
- On the page titled "Authorized values for category XXX," you should
  see that description under the heading.
- Use the "Show category" dropdown to try some other categories.
Comment 3 PTFS Europe Sandboxes 2021-03-19 13:21:32 UTC
Created attachment 118538 [details] [review]
Bug 27999: Display the description of authorized values category

This patch corrects a parameter in the authorized values template so
that the right value is passed for displaying the description of an
authorized value category.

To test, apply the patch and go to Administration -> Authorized values.

- In the table of authorized values, click on one which has a
  description in the "Description" column.
- On the page titled "Authorized values for category XXX," you should
  see that description under the heading.
- Use the "Show category" dropdown to try some other categories.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2021-03-19 13:22:22 UTC
Looks great for me, thanks Owen !
Comment 5 Katrin Fischer 2021-03-27 17:17:25 UTC
Created attachment 118916 [details] [review]
Bug 27999: Display the description of authorized values category

This patch corrects a parameter in the authorized values template so
that the right value is passed for displaying the description of an
authorized value category.

To test, apply the patch and go to Administration -> Authorized values.

- In the table of authorized values, click on one which has a
  description in the "Description" column.
- On the page titled "Authorized values for category XXX," you should
  see that description under the heading.
- Use the "Show category" dropdown to try some other categories.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-01 16:55:09 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-13 15:01:38 UTC
Pushed to 20.11.x for 20.11.05
Comment 8 Andrew Fuerste-Henry 2021-04-24 14:23:17 UTC
Pushed to 20.05.x for 20.05.11
Comment 9 Victor Grousset/tuxayo 2021-04-24 16:52:35 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.